---
title: Batch create
url: https://www.tines.com/docs/api/cases/subscribers/batch-create/
updated: 2024-04-22T09:42:38+00:00
description: Batch subscribe users to a case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Subscribers](https://www.tines.com/llm/docs/api/cases/subscribers.md)*

# Batch create

*[View on tines.com](https://www.tines.com/docs/api/cases/subscribers/batch-create/)*

## Description

Batch subscribe users to a case.

## Request

HTTP Method: **POST**

| Parameter   | Description                                                  |
| ----------- | ------------------------------------------------------------ |
| user_emails | An array emails of the users to subscribe. Max length of 50. |

| Path Parameter | Description         |
| -------------- | ------------------- |
| case_id        | The ID of the case. |

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/subscribers/batch \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "user_emails": ["jane@tines.io", "john@tines.io"]
      }'
```

## Response

A successful request will return a JSON object with the case id & subscribers.

### Field description

| Parameter   | Description                                                                                                             |
| ----------- | ----------------------------------------------------------------------------------------------------------------------- |
| case_id     | The ID of the case.                                                                                                     |
| id          | The ID of the case subscriber.                                                                                          |
| subscribers | Array of users subscribed. ID of subscriber & user object including user ID, first name, last name, email & avatar URL. |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 7508,
  "subscribers": [
    {
      "id": 1,
      "user": {
        "user_id": 1,
        "first_name": "Jane",
        "last_name": "Doe",
        "email": "jane@tines.io",
        "avatar_url": "example.com/avatar"
      }
    },
    {
      "id": 2,
      "user": {
        "user_id": 2,
        "first_name": "John",
        "last_name": "Doe",
        "email": "john@tines.io",
        "avatar_url": "example.com/avatar"
      }
    }
  ]
}
```

<!-- cspell:enable -->
